JavaScript/jQuery Validator - EmailRule

A validation rule that demands that the validated field match the Email pattern.

Type:

Object

ignoreEmptyValue

If set to true, empty values are valid.

Type:

Boolean

Default Value: true

message

Specifies the message that is shown if the rule is broken.

Type:

String

Default Value: 'Email is invalid'

An error message can be specified as follows:

  • Hard-code the message

    index.js
    • $(function() {
    • $("#textBox").dxTextBox({ ... })
    • .dxValidator({
    • type: "email",
    • message: "My custom message"
    • });
    • });
  • Hide the message

    index.js
    • $(function() {
    • $("#textBox").dxTextBox({ ... })
    • .dxValidator({
    • type: "email",
    • message: ""
    • });
    • });
  • Display the editor's name in the message

    index.js
    • $(function() {
    • $("#textBox").dxTextBox({ ... })
    • .dxValidator({
    • name: "Mail address", // The error message will be "Mail address is invalid"
    • validationRules: [{
    • type: "email"
    • }]
    • });
    • });

type

Specifies the rule type. Set it to "email" to use the EmailRule.

Type:

String

Accepted Values: 'required' | 'numeric' | 'range' | 'stringLength' | 'custom' | 'compare' | 'pattern' | 'email' | 'async'

React Validator - EmailRule
Type:
message
Type:
Default Value: 'Email is invalid'
An error message can be specified as follows:
Hard-code the message
App.js- import React from 'react';
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { TextBox } from 'devextreme-react/text-box';
- import {
- Validator,
- EmailRule
- } from 'devextreme-react/validator';
- class App extends React.Component {
- render() {
- return (
- <TextBox>
- <Validator>
- <EmailRule
- message="My custom message" />
- </Validator>
- </TextBox>
- );
- }
- }
- export default App;
Hide the message
App.js- import React from 'react';
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { TextBox } from 'devextreme-react/text-box';
- import {
- Validator,
- EmailRule
- } from 'devextreme-react/validator';
- class App extends React.Component {
- render() {
- return (
- <TextBox>
- <Validator>
- <EmailRule
- message="" />
- </Validator>
- </TextBox>
- );
- }
- }
- export default App;
Display the editor's name in the message
App.js- import React from 'react';
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { TextBox } from 'devextreme-react/text-box';
- import {
- Validator,
- EmailRule
- } from 'devextreme-react/validator';
- class App extends React.Component {
- render() {
- return (
- <TextBox>
- {/* The error message will be "Mail address is invalid" */}
- <Validator name="Mail address">
- <EmailRule} />
- </Validator>
- </TextBox>
- );
- }
- }
- export default App;
type
Type:
Accepted Values: 'required' | 'numeric' | 'range' | 'stringLength' | 'custom' | 'compare' | 'pattern' | 'email' | 'async'
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

Vue Validator - EmailRule
Type:
message
Type:
Default Value: 'Email is invalid'
An error message can be specified as follows:
Hard-code the message
App.vue- <template>
- <DxTextBox>
- <DxValidator>
- <DxEmailRule
- message="My custom message"
- />
- </DxValidator>
- </DxTextBox>
- </template>
- <script>
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { DxTextBox } from 'devextreme-vue/text-box';
- import {
- DxValidator,
- DxEmailRule
- } from 'devextreme-vue/validator';
- export default {
- components: {
- DxTextBox,
- DxValidator,
- DxEmailRule
- }
- }
- </script>
Hide the message
App.vue- <template>
- <DxTextBox>
- <DxValidator>
- <DxEmailRule
- message=""
- />
- </DxValidator>
- </DxTextBox>
- </template>
- <script>
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { DxTextBox } from 'devextreme-vue/text-box';
- import {
- DxValidator,
- DxEmailRule
- } from 'devextreme-vue/validator';
- export default {
- components: {
- DxTextBox,
- DxValidator,
- DxEmailRule
- }
- }
- </script>
Display the editor's name in the message
App.vue- <template>
- <DxTextBox>
- <!-- The error message will be "Mail address is invalid" -->
- <DxValidator name="Mail address">
- <DxEmailRule />
- </DxValidator>
- </DxTextBox>
- </template>
- <script>
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { DxTextBox } from 'devextreme-vue/text-box';
- import {
- DxValidator,
- DxEmailRule
- } from 'devextreme-vue/validator';
- export default {
- components: {
- DxValidator,
- DxEmailRule
- }
- }
- </script>
type
Type:
Accepted Values: 'required' | 'numeric' | 'range' | 'stringLength' | 'custom' | 'compare' | 'pattern' | 'email' | 'async'
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.